/*----------------------------------------------------------------------*/
/* Tcl/Tk IRSIM Analyzer --- BLT header definitions for systems which	*/
/* cannot find /usr/include/blt.h.					*/
/*									*/
/* Note that it would be better to use Tcl itself to find the location	*/
/* of any BLT libraries and headers.  This is a to-do item for the	*/
/* future.								*/
/*									*/
/*----------------------------------------------------------------------*/

typedef struct {
    double *valueArr;     /* Array of values (possibly malloc-ed) */
    int numValues;        /* Number of values in the array */
    int arraySize;        /* Size of the allocated space */
    double min, max;      /* Minimum and maximum values in the vector */
    int dirty;            /* Indicates if the vector has been updated */
    int reserved;         /* Reserved for future use */
} Blt_Vector;

extern int Blt_CreateVector();
extern int Blt_GetVector();
extern int Blt_ResetVector();
extern int Blt_DeleteVector();

